1. Product
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Product

products with inventory

GET
/api/v1/product/products-inventory

Product Inventory List#

Purpose#

Retrieve product inventory information for a specific branch, including stock quantity, pricing details, tax information, and product master data.

Why would you use this?#

Use this API when your system needs to synchronize inventory levels from VasyERP or monitor product availability across branches.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
branchIdYesUnique identifier of the branch
limitYesNumber of inventory records to retrieve per request
offsetYesNumber of records to skip for pagination
fromDateNoStart date and time in UTC format (ISO 8601) used to retrieve modified inventory records
toDateNoEnd date and time in UTC format (ISO 8601) used to retrieve modified inventory records

Information Returned#

This API returns inventory-related information including:
Product Details
Current Stock Quantity
Pricing Information
Tax Information
Product Classification
Product Status
Inventory Update Details

Important Notes#

Inventory data is branch-specific.
A valid branchId is required.
Date filters must be provided in UTC format (ISO 8601).
Use Z at the end of the timestamp to indicate UTC time.
Use fromDate and toDate for incremental synchronization.
Stock quantity is returned in the qty field.
Large product catalogs should be retrieved using pagination.
Product IDs returned by this API can be used with the Product Details API to retrieve complete product information.

Date Format Examples#

PurposeExample
Start Date2020-01-01T00:00:00Z
End Date2026-06-20T23:59:59Z
Note: All date and time values must be provided in UTC format (ISO 8601).

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/product/products-inventory?branchId=24448&limit=2&offset=00&toDate=2026-06-20T23%3A59%3A59Z&fromDate=2020-01-01T00%3A00%3A00Z' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Product List",
    "code": "200",
    "response": {
        "totalCount": 12751,
        "items": [
            {
                "productId": 18313750,
                "discount": 4.65,
                "discountType": "percentage",
                "itemCode": "BAR071",
                "productName": "Oppo Reno 14 Pro",
                "taxName": "GST 18",
                "taxRate": 18.0,
                "mrp": 42999.0,
                "sellingPrice": 40999.55,
                "hsnCode": "85171300",
                "active": true,
                "activeOnline": false,
                "description": "<p><br></p>",
                "shortDescription": "",
                "productType": "Finished",
                "brand": "Oppo",
                "category": "Smartphone",
                "department": "Other",
                "lastModifiedBy": "my business",
                "measurement": "PIECES",
                "qty": 203.0,
                "updatedDate": "2026-06-17 15:36:46.804508+05:30",
                "createdDate": "2026-06-09 15:33:56.165744+05:30",
                "batchUpdatedDate": "2026-06-23 17:09:26.880754+05:30"
            },
            {
                "productId": 18313749,
                "discount": 8.33,
                "discountType": "percentage",
                "itemCode": "BAR067",
                "productName": "Dairy Milk Silk",
                "taxName": "GST 18",
                "taxRate": 18.0,
                "mrp": 600.0,
                "sellingPrice": 550.02,
                "hsnCode": "",
                "active": true,
                "activeOnline": false,
                "description": "<p><br></p>",
                "shortDescription": "",
                "productType": "Finished",
                "brand": "Cadbury",
                "category": "Fresh",
                "department": "Food",
                "lastModifiedBy": "my business",
                "measurement": "tablet",
                "qty": 90.0,
                "updatedDate": "2026-06-09 15:25:28.780838+05:30",
                "createdDate": "2026-06-09 15:25:28.780828+05:30",
                "batchUpdatedDate": "2026-06-22 12:20:53.519144+05:30"
            }
        ]
    }
}
Previous
Get Product By ID
Next
product details with Inventory By Product ID
Built with